net.minecraft.network.play.server

## Class S08PacketPlayerPosLook

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S08PacketPlayerPosLook

-     public class S08PacketPlayerPosLook
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S08PacketPlayerPosLook()`
    `S08PacketPlayerPosLook(double p_i45164_1_, double p_i45164_3_, double p_i45164_5_, float p_i45164_7_, float p_i45164_8_, boolean p_i45164_9_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `func_148928_d()`
    `boolean` | `func_148929_h()`
    `float` | `func_148930_g()`
    `float` | `func_148931_f()`
    `double` | `func_148932_c()`
    `double` | `func_148933_e()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_148934_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S08PacketPlayerPosLook

          public S08PacketPlayerPosLook()

    - #### S08PacketPlayerPosLook

          public S08PacketPlayerPosLook(double p_i45164_1_,
                                double p_i45164_3_,
                                double p_i45164_5_,
                                float p_i45164_7_,
                                float p_i45164_8_,
                                boolean p_i45164_9_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_148934_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_148932_c

          public double func_148932_c()

    - #### func_148928_d

          public double func_148928_d()

    - #### func_148933_e

          public double func_148933_e()

    - #### func_148931_f

          public float func_148931_f()

    - #### func_148930_g

          public float func_148930_g()

    - #### func_148929_h

          public boolean func_148929_h()